//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.17.3
// source: common/JVM.proto

package agent

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	common "github.com/alibaba/ilogtail/plugins/input/skywalkingv2/skywalking/apm/network/common"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type PoolType int32

const (
	PoolType_CODE_CACHE_USAGE PoolType = 0
	PoolType_NEWGEN_USAGE     PoolType = 1
	PoolType_OLDGEN_USAGE     PoolType = 2
	PoolType_SURVIVOR_USAGE   PoolType = 3
	PoolType_PERMGEN_USAGE    PoolType = 4
	PoolType_METASPACE_USAGE  PoolType = 5
)

// Enum value maps for PoolType.
var (
	PoolType_name = map[int32]string{
		0: "CODE_CACHE_USAGE",
		1: "NEWGEN_USAGE",
		2: "OLDGEN_USAGE",
		3: "SURVIVOR_USAGE",
		4: "PERMGEN_USAGE",
		5: "METASPACE_USAGE",
	}
	PoolType_value = map[string]int32{
		"CODE_CACHE_USAGE": 0,
		"NEWGEN_USAGE":     1,
		"OLDGEN_USAGE":     2,
		"SURVIVOR_USAGE":   3,
		"PERMGEN_USAGE":    4,
		"METASPACE_USAGE":  5,
	}
)

func (x PoolType) Enum() *PoolType {
	p := new(PoolType)
	*p = x
	return p
}

func (x PoolType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (PoolType) Descriptor() protoreflect.EnumDescriptor {
	return file_common_JVM_proto_enumTypes[0].Descriptor()
}

func (PoolType) Type() protoreflect.EnumType {
	return &file_common_JVM_proto_enumTypes[0]
}

func (x PoolType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use PoolType.Descriptor instead.
func (PoolType) EnumDescriptor() ([]byte, []int) {
	return file_common_JVM_proto_rawDescGZIP(), []int{0}
}

type GCPhrase int32

const (
	GCPhrase_NEW GCPhrase = 0
	GCPhrase_OLD GCPhrase = 1
)

// Enum value maps for GCPhrase.
var (
	GCPhrase_name = map[int32]string{
		0: "NEW",
		1: "OLD",
	}
	GCPhrase_value = map[string]int32{
		"NEW": 0,
		"OLD": 1,
	}
)

func (x GCPhrase) Enum() *GCPhrase {
	p := new(GCPhrase)
	*p = x
	return p
}

func (x GCPhrase) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (GCPhrase) Descriptor() protoreflect.EnumDescriptor {
	return file_common_JVM_proto_enumTypes[1].Descriptor()
}

func (GCPhrase) Type() protoreflect.EnumType {
	return &file_common_JVM_proto_enumTypes[1]
}

func (x GCPhrase) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use GCPhrase.Descriptor instead.
func (GCPhrase) EnumDescriptor() ([]byte, []int) {
	return file_common_JVM_proto_rawDescGZIP(), []int{1}
}

type JVMMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Time       int64         `protobuf:"varint,1,opt,name=time,proto3" json:"time,omitempty"`
	Cpu        *common.CPU   `protobuf:"bytes,2,opt,name=cpu,proto3" json:"cpu,omitempty"`
	Memory     []*Memory     `protobuf:"bytes,3,rep,name=memory,proto3" json:"memory,omitempty"`
	MemoryPool []*MemoryPool `protobuf:"bytes,4,rep,name=memoryPool,proto3" json:"memoryPool,omitempty"`
	Gc         []*GC         `protobuf:"bytes,5,rep,name=gc,proto3" json:"gc,omitempty"`
}

func (x *JVMMetric) Reset() {
	*x = JVMMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_JVM_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *JVMMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*JVMMetric) ProtoMessage() {}

func (x *JVMMetric) ProtoReflect() protoreflect.Message {
	mi := &file_common_JVM_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use JVMMetric.ProtoReflect.Descriptor instead.
func (*JVMMetric) Descriptor() ([]byte, []int) {
	return file_common_JVM_proto_rawDescGZIP(), []int{0}
}

func (x *JVMMetric) GetTime() int64 {
	if x != nil {
		return x.Time
	}
	return 0
}

func (x *JVMMetric) GetCpu() *common.CPU {
	if x != nil {
		return x.Cpu
	}
	return nil
}

func (x *JVMMetric) GetMemory() []*Memory {
	if x != nil {
		return x.Memory
	}
	return nil
}

func (x *JVMMetric) GetMemoryPool() []*MemoryPool {
	if x != nil {
		return x.MemoryPool
	}
	return nil
}

func (x *JVMMetric) GetGc() []*GC {
	if x != nil {
		return x.Gc
	}
	return nil
}

type Memory struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	IsHeap    bool  `protobuf:"varint,1,opt,name=isHeap,proto3" json:"isHeap,omitempty"`
	Init      int64 `protobuf:"varint,2,opt,name=init,proto3" json:"init,omitempty"`
	Max       int64 `protobuf:"varint,3,opt,name=max,proto3" json:"max,omitempty"`
	Used      int64 `protobuf:"varint,4,opt,name=used,proto3" json:"used,omitempty"`
	Committed int64 `protobuf:"varint,5,opt,name=committed,proto3" json:"committed,omitempty"`
}

func (x *Memory) Reset() {
	*x = Memory{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_JVM_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Memory) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Memory) ProtoMessage() {}

func (x *Memory) ProtoReflect() protoreflect.Message {
	mi := &file_common_JVM_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Memory.ProtoReflect.Descriptor instead.
func (*Memory) Descriptor() ([]byte, []int) {
	return file_common_JVM_proto_rawDescGZIP(), []int{1}
}

func (x *Memory) GetIsHeap() bool {
	if x != nil {
		return x.IsHeap
	}
	return false
}

func (x *Memory) GetInit() int64 {
	if x != nil {
		return x.Init
	}
	return 0
}

func (x *Memory) GetMax() int64 {
	if x != nil {
		return x.Max
	}
	return 0
}

func (x *Memory) GetUsed() int64 {
	if x != nil {
		return x.Used
	}
	return 0
}

func (x *Memory) GetCommitted() int64 {
	if x != nil {
		return x.Committed
	}
	return 0
}

type MemoryPool struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type     PoolType `protobuf:"varint,1,opt,name=type,proto3,enum=PoolType" json:"type,omitempty"`
	Init     int64    `protobuf:"varint,2,opt,name=init,proto3" json:"init,omitempty"`
	Max      int64    `protobuf:"varint,3,opt,name=max,proto3" json:"max,omitempty"`
	Used     int64    `protobuf:"varint,4,opt,name=used,proto3" json:"used,omitempty"`
	Commited int64    `protobuf:"varint,5,opt,name=commited,proto3" json:"commited,omitempty"`
}

func (x *MemoryPool) Reset() {
	*x = MemoryPool{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_JVM_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MemoryPool) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MemoryPool) ProtoMessage() {}

func (x *MemoryPool) ProtoReflect() protoreflect.Message {
	mi := &file_common_JVM_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MemoryPool.ProtoReflect.Descriptor instead.
func (*MemoryPool) Descriptor() ([]byte, []int) {
	return file_common_JVM_proto_rawDescGZIP(), []int{2}
}

func (x *MemoryPool) GetType() PoolType {
	if x != nil {
		return x.Type
	}
	return PoolType_CODE_CACHE_USAGE
}

func (x *MemoryPool) GetInit() int64 {
	if x != nil {
		return x.Init
	}
	return 0
}

func (x *MemoryPool) GetMax() int64 {
	if x != nil {
		return x.Max
	}
	return 0
}

func (x *MemoryPool) GetUsed() int64 {
	if x != nil {
		return x.Used
	}
	return 0
}

func (x *MemoryPool) GetCommited() int64 {
	if x != nil {
		return x.Commited
	}
	return 0
}

type GC struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Phrase GCPhrase `protobuf:"varint,1,opt,name=phrase,proto3,enum=GCPhrase" json:"phrase,omitempty"`
	Count  int64    `protobuf:"varint,2,opt,name=count,proto3" json:"count,omitempty"`
	Time   int64    `protobuf:"varint,3,opt,name=time,proto3" json:"time,omitempty"`
}

func (x *GC) Reset() {
	*x = GC{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_JVM_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GC) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GC) ProtoMessage() {}

func (x *GC) ProtoReflect() protoreflect.Message {
	mi := &file_common_JVM_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GC.ProtoReflect.Descriptor instead.
func (*GC) Descriptor() ([]byte, []int) {
	return file_common_JVM_proto_rawDescGZIP(), []int{3}
}

func (x *GC) GetPhrase() GCPhrase {
	if x != nil {
		return x.Phrase
	}
	return GCPhrase_NEW
}

func (x *GC) GetCount() int64 {
	if x != nil {
		return x.Count
	}
	return 0
}

func (x *GC) GetTime() int64 {
	if x != nil {
		return x.Time
	}
	return 0
}

var File_common_JVM_proto protoreflect.FileDescriptor

var file_common_JVM_proto_rawDesc = []byte{
	0x0a, 0x10, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x4a, 0x56, 0x4d, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x13, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x9a, 0x01, 0x0a, 0x09, 0x4a, 0x56, 0x4d, 0x4d,
	0x65, 0x74, 0x72, 0x69, 0x63, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x04, 0x74, 0x69, 0x6d, 0x65, 0x12, 0x16, 0x0a, 0x03, 0x63, 0x70, 0x75,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x04, 0x2e, 0x43, 0x50, 0x55, 0x52, 0x03, 0x63, 0x70,
	0x75, 0x12, 0x1f, 0x0a, 0x06, 0x6d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x18, 0x03, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x07, 0x2e, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x52, 0x06, 0x6d, 0x65, 0x6d, 0x6f,
	0x72, 0x79, 0x12, 0x2b, 0x0a, 0x0a, 0x6d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x50, 0x6f, 0x6f, 0x6c,
	0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0b, 0x2e, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x50,
	0x6f, 0x6f, 0x6c, 0x52, 0x0a, 0x6d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x50, 0x6f, 0x6f, 0x6c, 0x12,
	0x13, 0x0a, 0x02, 0x67, 0x63, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x03, 0x2e, 0x47, 0x43,
	0x52, 0x02, 0x67, 0x63, 0x22, 0x78, 0x0a, 0x06, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x12, 0x16,
	0x0a, 0x06, 0x69, 0x73, 0x48, 0x65, 0x61, 0x70, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06,
	0x69, 0x73, 0x48, 0x65, 0x61, 0x70, 0x12, 0x12, 0x0a, 0x04, 0x69, 0x6e, 0x69, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x69, 0x6e, 0x69, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x6d, 0x61,
	0x78, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x03, 0x6d, 0x61, 0x78, 0x12, 0x12, 0x0a, 0x04,
	0x75, 0x73, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x75, 0x73, 0x65, 0x64,
	0x12, 0x1c, 0x0a, 0x09, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x74, 0x74, 0x65, 0x64, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x09, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x74, 0x74, 0x65, 0x64, 0x22, 0x81,
	0x01, 0x0a, 0x0a, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x50, 0x6f, 0x6f, 0x6c, 0x12, 0x1d, 0x0a,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x09, 0x2e, 0x50, 0x6f,
	0x6f, 0x6c, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x12, 0x0a, 0x04,
	0x69, 0x6e, 0x69, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x69, 0x6e, 0x69, 0x74,
	0x12, 0x10, 0x0a, 0x03, 0x6d, 0x61, 0x78, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x03, 0x6d,
	0x61, 0x78, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x04, 0x75, 0x73, 0x65, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x74,
	0x65, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x74,
	0x65, 0x64, 0x22, 0x51, 0x0a, 0x02, 0x47, 0x43, 0x12, 0x21, 0x0a, 0x06, 0x70, 0x68, 0x72, 0x61,
	0x73, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x09, 0x2e, 0x47, 0x43, 0x50, 0x68, 0x72,
	0x61, 0x73, 0x65, 0x52, 0x06, 0x70, 0x68, 0x72, 0x61, 0x73, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x04, 0x74, 0x69, 0x6d, 0x65, 0x2a, 0x80, 0x01, 0x0a, 0x08, 0x50, 0x6f, 0x6f, 0x6c, 0x54, 0x79,
	0x70, 0x65, 0x12, 0x14, 0x0a, 0x10, 0x43, 0x4f, 0x44, 0x45, 0x5f, 0x43, 0x41, 0x43, 0x48, 0x45,
	0x5f, 0x55, 0x53, 0x41, 0x47, 0x45, 0x10, 0x00, 0x12, 0x10, 0x0a, 0x0c, 0x4e, 0x45, 0x57, 0x47,
	0x45, 0x4e, 0x5f, 0x55, 0x53, 0x41, 0x47, 0x45, 0x10, 0x01, 0x12, 0x10, 0x0a, 0x0c, 0x4f, 0x4c,
	0x44, 0x47, 0x45, 0x4e, 0x5f, 0x55, 0x53, 0x41, 0x47, 0x45, 0x10, 0x02, 0x12, 0x12, 0x0a, 0x0e,
	0x53, 0x55, 0x52, 0x56, 0x49, 0x56, 0x4f, 0x52, 0x5f, 0x55, 0x53, 0x41, 0x47, 0x45, 0x10, 0x03,
	0x12, 0x11, 0x0a, 0x0d, 0x50, 0x45, 0x52, 0x4d, 0x47, 0x45, 0x4e, 0x5f, 0x55, 0x53, 0x41, 0x47,
	0x45, 0x10, 0x04, 0x12, 0x13, 0x0a, 0x0f, 0x4d, 0x45, 0x54, 0x41, 0x53, 0x50, 0x41, 0x43, 0x45,
	0x5f, 0x55, 0x53, 0x41, 0x47, 0x45, 0x10, 0x05, 0x2a, 0x1c, 0x0a, 0x08, 0x47, 0x43, 0x50, 0x68,
	0x72, 0x61, 0x73, 0x65, 0x12, 0x07, 0x0a, 0x03, 0x4e, 0x45, 0x57, 0x10, 0x00, 0x12, 0x07, 0x0a,
	0x03, 0x4f, 0x4c, 0x44, 0x10, 0x01, 0x42, 0xa1, 0x01, 0x0a, 0x30, 0x6f, 0x72, 0x67, 0x2e, 0x61,
	0x70, 0x61, 0x63, 0x68, 0x65, 0x2e, 0x73, 0x6b, 0x79, 0x77, 0x61, 0x6c, 0x6b, 0x69, 0x6e, 0x67,
	0x2e, 0x61, 0x70, 0x6d, 0x2e, 0x6e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x2e, 0x6c, 0x61, 0x6e,
	0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x50, 0x01, 0x5a, 0x4e, 0x6c,
	0x6f, 0x67, 0x74, 0x61, 0x69, 0x6c, 0x70, 0x6c, 0x75, 0x67, 0x69, 0x6e, 0x2f, 0x70, 0x6c, 0x75,
	0x67, 0x69, 0x6e, 0x73, 0x2f, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x2f, 0x73, 0x6b, 0x79, 0x77, 0x61,
	0x6c, 0x6b, 0x69, 0x6e, 0x67, 0x76, 0x32, 0x2f, 0x73, 0x6b, 0x79, 0x77, 0x61, 0x6c, 0x6b, 0x69,
	0x6e, 0x67, 0x2f, 0x61, 0x70, 0x6d, 0x2f, 0x6e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x2f, 0x6c,
	0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0xaa, 0x02, 0x1a,
	0x53, 0x6b, 0x79, 0x57, 0x61, 0x6c, 0x6b, 0x69, 0x6e, 0x67, 0x2e, 0x4e, 0x65, 0x74, 0x77, 0x6f,
	0x72, 0x6b, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_common_JVM_proto_rawDescOnce sync.Once
	file_common_JVM_proto_rawDescData = file_common_JVM_proto_rawDesc
)

func file_common_JVM_proto_rawDescGZIP() []byte {
	file_common_JVM_proto_rawDescOnce.Do(func() {
		file_common_JVM_proto_rawDescData = protoimpl.X.CompressGZIP(file_common_JVM_proto_rawDescData)
	})
	return file_common_JVM_proto_rawDescData
}

var file_common_JVM_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_common_JVM_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_common_JVM_proto_goTypes = []interface{}{
	(PoolType)(0),      // 0: PoolType
	(GCPhrase)(0),      // 1: GCPhrase
	(*JVMMetric)(nil),  // 2: JVMMetric
	(*Memory)(nil),     // 3: Memory
	(*MemoryPool)(nil), // 4: MemoryPool
	(*GC)(nil),         // 5: GC
	(*common.CPU)(nil), // 6: CPU
}
var file_common_JVM_proto_depIdxs = []int32{
	6, // 0: JVMMetric.cpu:type_name -> CPU
	3, // 1: JVMMetric.memory:type_name -> Memory
	4, // 2: JVMMetric.memoryPool:type_name -> MemoryPool
	5, // 3: JVMMetric.gc:type_name -> GC
	0, // 4: MemoryPool.type:type_name -> PoolType
	1, // 5: GC.phrase:type_name -> GCPhrase
	6, // [6:6] is the sub-list for method output_type
	6, // [6:6] is the sub-list for method input_type
	6, // [6:6] is the sub-list for extension type_name
	6, // [6:6] is the sub-list for extension extendee
	0, // [0:6] is the sub-list for field type_name
}

func init() { file_common_JVM_proto_init() }
func file_common_JVM_proto_init() {
	if File_common_JVM_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_common_JVM_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*JVMMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_JVM_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Memory); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_JVM_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MemoryPool); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_JVM_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GC); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_common_JVM_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_common_JVM_proto_goTypes,
		DependencyIndexes: file_common_JVM_proto_depIdxs,
		EnumInfos:         file_common_JVM_proto_enumTypes,
		MessageInfos:      file_common_JVM_proto_msgTypes,
	}.Build()
	File_common_JVM_proto = out.File
	file_common_JVM_proto_rawDesc = nil
	file_common_JVM_proto_goTypes = nil
	file_common_JVM_proto_depIdxs = nil
}
