package sls_inner

//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
//http://www.apache.org/licenses/LICENSE-2.0
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.
//
// Code generated by Alibaba Cloud SDK Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"github.com/aliyun/alibaba-cloud-sdk-go/sdk/requests"
	"github.com/aliyun/alibaba-cloud-sdk-go/sdk/responses"
)

// CloseAcceleration invokes the sls_inner.CloseAcceleration API synchronously
// api document: https://help.aliyun.com/api/sls-inner/closeacceleration.html
func (client *Client) CloseAcceleration(request *CloseAccelerationRequest) (response *CloseAccelerationResponse, err error) {
	response = CreateCloseAccelerationResponse()
	err = client.DoAction(request, response)
	return
}

// CloseAccelerationWithChan invokes the sls_inner.CloseAcceleration API asynchronously
// api document: https://help.aliyun.com/api/sls-inner/closeacceleration.html
// asynchronous document: https://help.aliyun.com/document_detail/66220.html
func (client *Client) CloseAccelerationWithChan(request *CloseAccelerationRequest) (<-chan *CloseAccelerationResponse, <-chan error) {
	responseChan := make(chan *CloseAccelerationResponse, 1)
	errChan := make(chan error, 1)
	err := client.AddAsyncTask(func() {
		defer close(responseChan)
		defer close(errChan)
		response, err := client.CloseAcceleration(request)
		if err != nil {
			errChan <- err
		} else {
			responseChan <- response
		}
	})
	if err != nil {
		errChan <- err
		close(responseChan)
		close(errChan)
	}
	return responseChan, errChan
}

// CloseAccelerationWithCallback invokes the sls_inner.CloseAcceleration API asynchronously
// api document: https://help.aliyun.com/api/sls-inner/closeacceleration.html
// asynchronous document: https://help.aliyun.com/document_detail/66220.html
func (client *Client) CloseAccelerationWithCallback(request *CloseAccelerationRequest, callback func(response *CloseAccelerationResponse, err error)) <-chan int {
	result := make(chan int, 1)
	err := client.AddAsyncTask(func() {
		var response *CloseAccelerationResponse
		var err error
		defer close(result)
		response, err = client.CloseAcceleration(request)
		callback(response, err)
		result <- 1
	})
	if err != nil {
		defer close(result)
		callback(nil, err)
		result <- 0
	}
	return result
}

// CloseAccelerationRequest is the request struct for api CloseAcceleration
type CloseAccelerationRequest struct {
	*requests.RpcRequest
	Cname                string `position:"Query" name:"Cname"`
	Project              string `position:"Query" name:"Project"`
	AccelerationEndpoint string `position:"Query" name:"AccelerationEndpoint"`
}

// CloseAccelerationResponse is the response struct for api CloseAcceleration
type CloseAccelerationResponse struct {
	*responses.BaseResponse
	RequestId string `json:"RequestId" xml:"RequestId"`
	Code      string `json:"Code" xml:"Code"`
	Success   string `json:"Success" xml:"Success"`
	Message   string `json:"Message" xml:"Message"`
}

// CreateCloseAccelerationRequest creates a request to invoke CloseAcceleration API
func CreateCloseAccelerationRequest() (request *CloseAccelerationRequest) {
	request = &CloseAccelerationRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	request.InitWithApiInfo("Sls-inner", "2018-05-09", "CloseAcceleration", "", "")
	return
}

// CreateCloseAccelerationResponse creates a response to parse from CloseAcceleration response
func CreateCloseAccelerationResponse() (response *CloseAccelerationResponse) {
	response = &CloseAccelerationResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
